import {Routes} from '@angular/router';

import {AdminLayoutComponent, AuthLayoutComponent} from './core';

export const AppRoutes: Routes = [
    {
    path: '',
    component: AdminLayoutComponent,
    children: [{
        path: '',
        loadChildren: './components/map/map.module#MapModule'
    }]
},
    {
        path: '',
        component: AuthLayoutComponent,
        children: [{
            path: 'auth',
            loadChildren: './components/auth/auth.module#AuthModule'
        }]
    },
    {
        path: '**',
        redirectTo: 'auth/404'
    }];
