import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {MapComponent} from './map/map.component';
import {RouterModule} from '@angular/router';
import {MapRoutes} from './map-routing';
import {AgmCoreModule} from '@agm/core';
import {MatFormFieldModule, MatIconModule, MatInputModule, MatSelectModule} from '@angular/material';
import {FormsModule,  ReactiveFormsModule} from '@angular/forms';
import {MatAutocompleteModule} from '@angular/material/autocomplete';
@NgModule({
  imports: [
    MatAutocompleteModule,
    MatInputModule,
    MatFormFieldModule,
    MatInputModule,
    FormsModule,
    ReactiveFormsModule,
    MatSelectModule,
    MatInputModule,
    MatIconModule,
    AgmCoreModule,
    CommonModule,
    RouterModule.forChild(MapRoutes),
  ],
  declarations: [MapComponent]
})
export class MapModule {
}
